Redmine - Defect #11533

rake redmine:plugins:test doesn't run tests in subdirectories
2012-07-29 20:08 - Jean-Baptiste Barth

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version: 2.04

Resolution: Fixed Affected version:

Description

Everything is in the title : the old rake tasks with rails 2.3's engine plugin used to run test even in subdirectories of test/unit,
test/functional and test/integration of each plugin. The core tasks also do that. The new custom rake tasks for plugins don't, which
can lead to tests not being run (and it took me a while to realize that). I'll fix that asap.

Associated revisions

Revision 10135 - 2012-07-29 20:27 - Jean-Baptiste Barth

Fixed rake redmine:plugins:test:* not running some tests in subdirectories (#11533)

History

#1 - 2012-07-29 20:29 - Jean-Baptiste Barth

- Status changed from 7 to Resolved

Fixed in r10135.

Jean-Philippe, Etienne, or Toshi: | let you merge that in a stable branch when you think it's appropriate.

#2 - 2012-07-29 23:19 - Etienne Massip
- Target version changed from Candidate for next minor release to 2.0.4

- Resolution set to Fixed

#3 - 2012-09-06 19:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged with r9738 that adds the rake tasks in 2.0-stable.

2025-05-01 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/10135
https://www.redmine.org/projects/redmine/repository/svn/revisions/9738
http://www.tcpdf.org

